Bug 133860 - konsole selection moves on output
konsole selection moves on output
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 19:00 EDT by Doncho N. Gunchev
Modified: 2008-05-06 11:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 50443 None None None Never

  None (edit)
Description Doncho N. Gunchev 2004-09-27 19:00:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
When you comple for example, the konsole history buffer is full, you
scroll 1-2 screens up and try to select some lines the selection moves

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start konsole
2. cat a_big_big_text_file
3. type 'while /bin/usleep 50000; do echo $RANDOM; done'
4. press Shift-Up to get one screen up
5. double-click with the left mouse button a line, hold the left
button and try moving up or just left-right

Actual Results:  the selection moves/extends downwards

Expected Results:  the selection should remain the same

Additional info:

With FC1 there was no such problem. I did not try with FC2.
Comment 1 Doncho N. Gunchev 2004-10-15 10:12:01 EDT
    With kdebase-3.3.0-8 the problem still remains:
cat /var/log/httpd/access_log; while /bin/usleep 50000; do echo
$RANDOM; done
    I can not find anything close enough to this reported in
bugs.kde.org. I'll try to test this with knoppix/others and report it
there if it is not fedora specific...
Comment 2 Doncho N. Gunchev 2005-01-25 11:28:42 EST
I think it's http://bugs.kde.org/show_bug.cgi?id=50443 .
Comment 3 Doncho N. Gunchev 2005-02-07 07:29:26 EST
    On 2005-01-25 Kurt V. Hindenburg: "I just tested CVS/HEAD (soon to be
KDE3.4) again and this bug is fixed." - from kde bug 50443.
Comment 4 Doncho N. Gunchev 2005-04-18 16:14:42 EDT
This bug is still present in FC4t2 :(
Comment 5 Ngo Than 2005-04-19 08:19:19 EDT
it seems it's not fixed yet in KDE upstream.
Comment 6 Ngo Than 2005-04-19 08:23:11 EDT
oh, it seems it's not reproduceable with kdelibs-3.4.0-5/kdebase-3.4.0-5 in
current rawhide. could you please verify it again? thanks
Comment 7 Ngo Than 2005-04-19 10:48:14 EDT
please reopen it again, it it still appear. thanks
Comment 8 Christian Iseli 2007-01-19 19:55:47 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 9 Doncho N. Gunchev 2007-02-20 08:42:10 EST
Yes, the bug is still here. If you try my example you'll have to wait till the 
whole konsole buffer is full with text. Tested with:
rpm -qf $(which konsole)
Comment 10 Doncho N. Gunchev 2007-02-20 09:04:21 EST
Retrying the "I am providing the requested information for this bug." 
PS: with 'konsole buffer' I mean settings -> history for konsole (defaults to 
1000 lines).
Comment 11 Bug Zapper 2008-04-03 21:50:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 11:27:21 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.